@import url("https://fonts.googleapis.com/css?family=Montserrat:400,500,600,700");

:root {
  // app colors
  --primary: #ff8413;
  --default: #fff;
  --danger: red;
  --success: green;
  --app-bg: #eef2f5;
  --tile-bg: #fff;
  --pm-danger: #db1643;
  --pm-warning: #dba629;
  --pm-success: #176f07;
  --disabled: #f4f4f4;

  // border colors
  --grey-border: #cbcbcb;
  --base-border: #eee;

  // font colors
  --black-font: #222;
  --grey-font: #333333;
  --grey-font-m: #444444;
  --grey-label: #9a9a9a;
  --white-font: white;
  --invertFilter: "";
  // fonts
  --font-first: "Montserrat", "ProximaNova", "Proxima Nova", sans-serif;

  --font-xs: 11px;
  --font-s: 12px;
  --font-m: 13px;
  --font-l: 14px;
  --font-xl: 15px;
  --font-xxl: 16px;
  --font-xxxl: 17px;
  --font-xxxxl: 18px;
  --font-xxxxl: 19px;
  --input-height: 30px;
  --input-height-l: 35px;
}

:export {
  --primary: red;
}

// element base styles
label {
  font-family: var(--font-first);
  font-weight: 500;
  font-size: var(--font-xs);
  margin: 0;
  color: var(--black-font);
}

// class styling.
.header-menu {
  height: 66px;
  background-color: #ffffff;
  padding: 15px;
}

.menu-items {
  color: #ffffff;
  font-size: var(--font-m);
  margin-left: 15px;
  margin-right: 15px;
}

.menu-items.active {
  background: #5862d5;
  border-radius: 10px;
}

div.short-menu > div > div.show-grid.side-menu-top.row .active {
  margin-right: 22px;
  line-height: 0;
}

.menu-items img {
  margin: 10px;
  width: 23px;
  padding-bottom: 8px;
}

.header-menu-select {
  margin-left: -30px;
  border: 0;
  font-weight: 600;
  font-size: var(--font-xxxxl);
}

.header-menu-select-user {
  border: 0;
  font-weight: 600;
  font-size: var(--font-l);
}

.main-container {
  padding: 10px;
  background: #eef2f4;
}

.notification-icon {
  float: right;
  width: 23px;
}

.logo {
  height: 100%;
  width: 100%;
  padding: 0;
  object-fit: contai;
}

.logo-div {
  margin-left: -15px;
  margin-right: -15px;
  background: white;
  height: 66px;
}

.graph-footer-label {
  font-weight: 600;
}

.graph-footer-value {
  font-weight: 900;
}

.hide {
  display: none;
}

.menu-icon {
  position: absolute;
  border: none;
  z-index: 9;
  top: 67px;
  left: -21px;
  padding: 0;
  background: transparent;
}

.menu-icon img {
  height: 18px;
  width: 18px;
}

.modal-open-btn {
  float: right;
}

.short-menu {
  width: 80px;
}

.loader {
  position: absolute;
  left: 43%;
  top: 50%;
  z-index: 999;
}

.loading {
  opacity: 0.5;
  pointer-events: none;
}

.modal-loading {
  opacity: 0.9;
  pointer-events: none;
}

.modal-loader {
  transform: translate(-50%, -50%);
}

.file-button {
  input {
    opacity: 0;
    display: none;
  }

  &:hover {
    img {
      filter: invert(75%);
    }
  }
}

//utilitites

.ml-5 {
  margin-left: 5px;
}

.text-capitalize {
  text-transform: capitalize;
}

.d-pointer {
  cursor: pointer;
}

//override hacks
.popover-content {
  padding: 0;
  border: 0px;
}

.side-menu__settings-pop {
  padding: 5px;
  background-color: #fff;
  box-shadow: 6px 8px 14px 6px rgba(0, 0, 0, 0.16);
  display: flex;
  flex-direction: column;

  a {
    color: #222222;
    font-size: 15px;
    padding: 10px 20px;
    text-decoration: none;
    &:hover {
      background: #d3d3d333;
    }
  }
}

.ReactTable .rt-resizer {
  display: inline-block;
  position: absolute;
  width: 36px;
  top: 0;
  bottom: 0;
  right: 0 !important;
  cursor: col-resize;
  z-index: 10;
}

.rt-th.rt-resizable-header.-cursor-pointer:focus {
  outline: var(--primary) auto 5px;
}

.Select .Select-control .Select-input input {
  color: var(--black-font);
}

body {
  overflow-x: hidden;
  font-family: var(--font-first);
  font-size: var(--font-xs);
}

html,
.modal {
  &::-webkit-scrollbar {
    width: 5px;
    height: 5px;
  }

  &::-webkit-scrollbar-track {
    background: none;
    border: none;
  }

  &::-webkit-scrollbar-thumb {
    background: #949292;
    border-radius: 10px;
  }

  &::-webkit-scrollbar-thumb:hover {
    background: var(--primary);
  }
}

.h1,
.h2,
.h3,
h1,
h2,
h3 {
  margin-top: 0px;
}
h3 {
  font-size: var(--font-xxxl);
}
.Select-control .Select-input input {
  border: none !important;
}
.react-tagsinput-tag {
  background-color: #ffffff !important;
  border-radius: 2px !important;
  border: 1px solid var(--primary) !important;
  color: #000000 !important;
}
.react-tagsinput-input {
  width: 250px !important;
}
.react-tagsinput--focused {
  border: 1px solid var(--primary) !important;
}

.header-panel {
  display: flex !important;
  flex-direction: row !important;
  align-items: center !important;
  justify-content: space-between !important;
  background: white !important;

  .search .field__input input:not([type="radio"]) {
    height: var(--input-height);
  }
  .search {
    margin: 0 0 0 15px;
  }

  .field-section {
    padding: 0;
  }
  .btn.square-btn {
    font-size: var(--font-xs);
    padding: 4px 8px;
    height: 27px;
    min-width: 65px;
    margin: 10px 0 0 5px;
    img {
      width: 16px;
    }
  }

  .btn-img {
    img {
      width: 20px;
      margin: 0 4px 0px -3px;
    }
  }

  .btn-group-left {
    .btn.square-btn {
      margin: 0 0 2px 10px !important;
    }
  }
}

.icons-template-1 {
  margin: auto;
}
.react-tagsinput-tag a::before {
  content: " x" !important;
}

.editor-preview-full {
  ul {
    li {
      pre {
        background: none !important;
        margin-bottom: 0px !important;
        padding: 0px !important;
        margin: 0px !important;
        background-color: none !important;
        border: none !important;
        overflow: none !important;
        code {
          font-family: var(--font-first);
          font-size: var(--font-xs);
          font-weight: 400;
        }
      }
    }
  }
}

.no-data {
  border: 1px solid #ccc;
  padding: 10px 20px;
  font-weight: 500;
  text-align: center;
  margin: 5px 0 0 0;
}

.date-range-box {
  //padding: 32px 0px 0 0px;
  display: flex;
  .btn.square-btn.btn-default {
    height: 41px;
    min-width: 0px;
    width: 46px;
  }
  .date-button {
    background: url(/assets/icons/calendar.png) scroll no-repeat right 10px
      center !important;
  }
  .reset-button {
    margin: auto auto auto 5px;
    font-size: var(--font-l);
    color: red;
    font-weight: 700;
    cursor: pointer;
  }
  .DateRangePicker {
    z-index: 2;
    position: absolute;
    margin-left: 46px !important;
    background: white;
  }
  .date-value {
    text-align: center;
    margin: auto 10px auto 10px;
  }
  .date-clear {
    font-size: 28px;
    color: #999;
    cursor: pointer;
  }
  .date-clear:hover {
    color: red;
  }
}

.icon__loading {
  width: 35px;
  padding-left: 5px;
}

.custom-search {
  margin: 0;
  .field__label {
    display: none !important;
  }
  .field__input.row {
    background: white;
  }
  span.field__error {
    display: none;
  }
}

.custom-search-outside {
  padding: 0;
  width: 250px;
}
.asc-order::after {
  content: " ";
  background: url(/assets/icons/sort-asc.png) center no-repeat;
  background-size: 12px;
  margin-left: 0;
  display: block;
  width: 15px;
  height: 15px;
}

.desc-order::after {
  content: " ";
  background: url(/assets/icons/sort-desc.png) center no-repeat;
  background-size: 12px;
  margin-left: 0;
  display: block;
  width: 15px;
  height: 15px;
}

.asc-order,
.desc-order {
  display: flex;
  cursor: pointer;
}

.custom-file-input {
  .field__input {
    background: transparent;
  }
}

.import-button-1 {
  margin: 5px;
}

.add-quote {
  width: 100%;

  .field__label-required::after {
    content: "*";
    color: #f00;
    margin-left: 3px;
    font-size: var(--font-xs);
    position: absolute;
  }
}

.error-input {
  padding-bottom: 2px;
  border: 1px solid #f00;
}

.field-error {
  color: red;
  font-family: var(--font-first);
  font-size: var(--font-s);
  min-height: 17px;
  display: block;
}

.group-by {
  padding: 0;
  margin: -3px 0 0 10px;
  min-width: 150px;
  .Select-multi-value-wrapper {
    height: 28px !important;
  }
  .Select.is-searchable.Select--single {
    height: 28px !important;
  }
  span.field__error,
  .field__label.row {
    display: none !important;
  }
  .Select-value {
    line-height: 28px !important;
  }
}

.mb-10 {
  margin-bottom: 10px;
}

.no-status {
  text-align: center;
  margin: 9px 0 12px 40px;
  padding: 15px;
  border-radius: 4px;
  border: solid 1px #d3dde0;
  background-color: #ffffff;
  width: -webkit-fill-available;
}
.ql-mention-list-container {
  ul {
    list-style-type: none;
  }

  ul.ql-mention-list {
    background: #fff;
    padding: 10px;
    border: 1px SOLID #cccccc;
    max-height: 300px;
    overflow: auto;

    &::-webkit-scrollbar {
      width: 5px;
      height: 5px;
    }

    &::-webkit-scrollbar-track {
      background: none;
      border: none;
    }

    &::-webkit-scrollbar-thumb {
      background: #949292;
      border-radius: 10px;
    }

    &::-webkit-scrollbar-thumb:hover {
      background: var(--primary);
    }
  }

  li.ql-mention-list-item {
    padding: 2px 0 2px 4px;
    min-width: 130px;
  }

  li.ql-mention-list-item.selected {
    background: #0693fd1a;
    font-weight: 600;
  }
}

.add-btn {
  position: relative;
  line-height: 10px !important;
  span.add-plus {
    font-size: 20px;
    position: absolute;
    font-weight: 100;
  }
  span.add-text {
    display: inline-block;
    margin-left: 16px;
  }
}

.text-align-center {
  text-align: center;
}

.hide-number-stepper input[type="number"] {
  -moz-appearance: textfield;
  -webkit-appearance: textfield;
  appearance: textfield;
}

.no-padding {
  padding: 0;
}